Bug 1315017 - SELinux is preventing gpg-agent from 'write' accesses on the sock_file S.gpg-agent.
SELinux is preventing gpg-agent from 'write' accesses on the sock_file S.gpg-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:59237f5780884946776c7f8e197...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 13:01 EST by Horst H. von Brand
Modified: 2016-03-07 04:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 04:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2016-03-05 13:01:43 EST
Description of problem:
SELinux is preventing gpg-agent from 'write' accesses on the sock_file S.gpg-agent.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gpg-agent should be allowed write access on the S.gpg-agent sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gpg-agent /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:fwupd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:gpg_secret_t:s0
Target Objects                S.gpg-agent [ sock_file ]
Source                        gpg-agent
Source Path                   gpg-agent
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-175.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.0-0.rc3.git3.1.fc24.x86_64 #1
                              SMP Fri Feb 12 17:59:03 UTC 2016 x86_64 x86_64
Alert Count                   12
First Seen                    2016-02-28 22:42:38 CLT
Last Seen                     2016-02-28 23:49:43 CLT
Local ID                      3d5e22a6-6d83-4526-b377-50dad6f5473b

Raw Audit Messages
type=AVC msg=audit(1456714183.156:793): avc:  denied  { write } for  pid=24909 comm="gpg-agent" name="S.gpg-agent" dev="dm-1" ino=393329 scontext=system_u:system_r:fwupd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gpg_secret_t:s0 tclass=sock_file permissive=1


Hash: gpg-agent,fwupd_t,gpg_secret_t,sock_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-175.fc25.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.5.0-0.rc5.git0.2.fc25.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.